function MyMex(filename)
addpath(genpath(pwd));
if(nargin == 0)
	filename = 'TestStieBrockett';
end
mex('-I.\', ...
'-I.\BinaryFiles\', ...
'-I.\Manifolds\', ...
'-I.\Manifolds\Euclidean\', ...
'-I.\Manifolds\L2Sphere\', ...
'-I.\Manifolds\OrthGroup\', ...
'-I.\Manifolds\Stiefel\', ...
'-I.\Matlab\', ...
'-I.\Matlab\ForCpp\', ...
'-I.\Others\', ...
'-I.\Problems\', ...
'-I.\Problems\ElasticCurvesRO\', ...
'-I.\Solvers\', ...
'-I.\test\', ...
['.\test\' filename '.cpp'], ...
'.\Manifolds\Element.cpp', '.\Manifolds\LinearOPE.cpp', '.\Manifolds\Manifold.cpp', '.\Manifolds\ProductElement.cpp', '.\Manifolds\ProductManifold.cpp', '.\Manifolds\SharedSpace.cpp', '.\Manifolds\SmartSpace.cpp', ...
'.\Manifolds\Euclidean\EucVariable.cpp', '.\Manifolds\Euclidean\EucVector.cpp', '.\Manifolds\Euclidean\Euclidean.cpp', ...
'.\Manifolds\L2Sphere\L2Sphere.cpp', '.\Manifolds\L2Sphere\L2SphereVariable.cpp', '.\Manifolds\L2Sphere\L2SphereVector.cpp', ...
'.\Manifolds\OrthGroup\OrthGroup.cpp', '.\Manifolds\OrthGroup\OrthGroupVariable.cpp', '.\Manifolds\OrthGroup\OrthGroupVector.cpp', ...
'.\Manifolds\Stiefel\StieVariable.cpp', '.\Manifolds\Stiefel\StieVector.cpp', '.\Manifolds\Stiefel\Stiefel.cpp', ...
'.\Others\ForDebug.cpp', '.\Others\Spline.cpp', '.\Others\Timer.cpp', '.\Others\randgen.cpp', ...
'.\Problems\Problem.cpp', ...
'.\Problems\ElasticCurvesRO\DriverElasticCurvesRO.cpp', '.\Problems\ElasticCurvesRO\ElasticCurvesRO.cpp', ...
'.\Solvers\LRBFGS.cpp', '.\Solvers\LRTRSR1.cpp', '.\Solvers\RBFGS.cpp', '.\Solvers\RBroydenFamily.cpp', '.\Solvers\RCG.cpp', '.\Solvers\RNewton.cpp', '.\Solvers\RSD.cpp', '.\Solvers\RTRNewton.cpp', '.\Solvers\RTRSD.cpp', '.\Solvers\RTRSR1.cpp', '.\Solvers\RWRBFGS.cpp', '.\Solvers\Solvers.cpp', '.\Solvers\SolversLS.cpp', '.\Solvers\SolversTR.cpp', ...
'-lmwblas', '-lmwlapack', '-output', ['.\BinaryFiles\' filename ]);
end